SetClaim diff does not show references
Closed, ResolvedPublic

Description

When I use the setclaim module to create a claim with a reference, the diff shows just the main property value snak change.

e.g. http://www.wikidata.org/w/index.php?title=Q5318478&diff=prev&oldid=66355232


Version: master
Severity: major

bzimport set Reference to bz53142.
aude created this task.Via LegacyAug 21 2013, 4:11 AM
duplicatebug added a comment.Via ConduitOct 16 2013, 3:59 PM

This also true for diffs over more than one version:
[1]https://www.wikidata.org/w/index.php?title=Q4452917&diff=78679641&oldid=78679636
[2]https://www.wikidata.org/w/index.php?title=Q4452917&diff=78679641&oldid=78679631

And true for added claims with reference with wbeditentity.

Lydia_Pintscher added a comment.Via ConduitOct 16 2013, 4:14 PM

See also bug 47068
I'm not sure if this is the same underlying issue or not.

gerritbot added a comment.Via ConduitOct 20 2013, 3:48 PM

Change 90761 had a related patch set uploaded by Umherirrender:
SetClaim diff does not show qualifiers, rank and references

https://gerrit.wikimedia.org/r/90761

Umherirrender added a comment.Via ConduitOct 21 2013, 5:00 PM

Another patch was uploaded: gerrit 90876

gerritbot added a comment.Via ConduitOct 25 2013, 2:10 PM

Change 90761 abandoned by Umherirrender:
SetClaim diff does not show qualifiers, rank and references

Reason:
Take the choose and prefer the other patch over this.

https://gerrit.wikimedia.org/r/90761

duplicatebug added a comment.Via ConduitNov 3 2013, 6:43 PM

(In reply to comment #4)

Another patch was uploaded: Gerrit change #90876

Status: Merged

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.